Bug 156032 - Installer crashes with "install exited abnormally" after preparing RPM transaction
Installer crashes with "install exited abnormally" after preparing RPM transa...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-04-26 15:36 EDT by Henry
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 01:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kickstart Configuration File (1.07 KB, text/plain)
2005-04-26 15:36 EDT, Henry
no flags Details

  None (edit)
Description Henry 2005-04-26 15:36:29 EDT
Description of problem:

I have a working network-based Red Hat ES 4 kickstart which I built from the
official RHES4 ISOs that I downloaded from RHN.  If I retrieve updated RPMs with
up2date and merge them into the kickstart tree then run genhdlist, the installer
crashes with "install exited abnormally" after the "Preparing RPM Transactions"
status box.  genhdlist generates no errors when I run it.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux ES 4

How reproducible:


Steps to Reproduce:
1. Merge updated RPMs into kickstart tree
2. Run genhdlist
3. Wait for kickstart to croak
Actual results:

Kickstart fails.

Expected results:

Successful kickstart.

Additional info:

This same bug appeared in FC3 when attempting to merge updates, but I wrote it
off as a Fedora issue.  It appears that something was carried over from FC3 into
ES4 which is causing the same problem.
Comment 1 Henry 2005-04-26 15:36:30 EDT
Created attachment 113686 [details]
Kickstart Configuration File
Comment 2 Paul Nasrat 2005-04-26 18:08:20 EDT
Please provide the full command lines for your customisation process
Comment 3 Henry 2005-04-26 18:19:33 EDT
I download the upgraded RPMs by running "up2date -duf" on a preinstalled Red Hat
ES 4 server, then copy the RPMs out of /var/spool/up2date

I copy the updated RPMs to the kickstart tree using a custom script that makes
sure that there are no duplicate packages in the tree.

I then run:
# /usr/lib/anaconda-runtime/genhdlist /installs/linux/redhat/rhel4/

The kickstart is initiated via PXE boot with the following PXE Configuration:

SERIAL 0 115200 0x303
LABEL linux
KERNEL rhel4/vmlinuz
APPEND ksdevice=eth0 ks= kssendmac lang=en_US text
initrd=rhel4/initrd.img root=/dev/ram0 ramdisk_size=10240 selinux=disabled
console=ttyS0,115200 console=tty0
Comment 4 Henry 2005-04-26 19:01:53 EDT
Just a note, the same process works flawlessly with Red Hat ES 3
Comment 5 Jeremy Katz 2005-04-27 01:45:07 EDT
This isn't complete.  You also need to generate a pkgorder and rerun genhdlist

Note You need to log in before you can comment on or make changes to this bug.